Package com.sun.jna.platform.win32

## Class WinDef.DWORDByReference

- java.lang.Object
- - com.sun.jna.PointerType
  - - com.sun.jna.ptr.ByReference
    - - com.sun.jna.platform.win32.WinDef.DWORDByReference

All Implemented Interfaces:
  `NativeMapped`

Direct Known Subclasses:
  `OaIdl.HREFTYPEByReference`

Enclosing interface:
  WinDef

    public static class WinDef.DWORDByReference
    extends ByReference

The Class DWORDByReference.

### Constructor Summary

Constructors
`DWORDByReference()` Instantiates a new dWOR dby reference.
`DWORDByReference​(WinDef.DWORD value)` Instantiates a new dWOR dby reference.

### Method Summary

All Methods Instance Methods Concrete Methods
`WinDef.DWORD` `getValue()` Gets the value.
`void` `setValue​(WinDef.DWORD value)` Sets the value.

### Methods inherited from class com.sun.jna.ptr.ByReference

`toString`

### Methods inherited from class com.sun.jna.PointerType

`equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DWORDByReference

    public DWORDByReference()

Instantiates a new dWOR dby reference.

#### DWORDByReference

    public DWORDByReference​(WinDef.DWORD value)

Instantiates a new dWOR dby reference.

Parameters:
  `value` - the value

### Method Detail

#### setValue

    public void setValue​(WinDef.DWORD value)

Sets the value.

Parameters:
  `value` - the new value

#### getValue

    public WinDef.DWORD getValue()

Gets the value.

Returns:
  the value